<?php

namespace Ulmus\Api\SearchRequest\Attribute;

use Ulmus\SearchRequest\{ SearchMethodEnum, Attribute\SearchParameter };

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class BindParameter extends SearchParameter
{
    public function __construct(
        public ? string $parameter = null,
        public ? string $field = null,
        public bool $toggle = false,
        public SearchMethodEnum $method = SearchMethodEnum::Manual,
    ) {}
}